## org.eclipse.wst.validation
Class ValidationState

    java.lang.Object
      org.eclipse.wst.validation.ValidationState

    public final class ValidationState

extends java.lang.Object

Keep track of arbitrary validation data, during the course of a validation.

To enable more efficient caching, the validation framework, allows individual validators to cache arbitrary data during the validation process. Use of this object is completely optional.

Since some validators wish to share data with other validators, any validator can see the state data for any other validator, since the id is simply the validator's extension id.

This object is freed at the end of the validation process.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Field Summary
`static java.lang.String` `TriggerResource` Deprecated. This approach is not thread safe, the longer form of the AbstractValidator validate method should be used instead.

Constructor Summary
`ValidationState()`

Method Summary
`java.lang.Object` `get(java.lang.String id)` Answer the state data for the given validator.
`void` `put(java.lang.String id, java.lang.Object value)` Save some state information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TriggerResource

    public static final java.lang.String TriggerResource

  Deprecated. This approach is not thread safe, the longer form of the AbstractValidator validate method should be used instead.
  This is a special id.

  If a resource that is depended on by others is changed, then the dependent resources are validated. The depended on resource, which is the resource that actually changed, is placed into the ValidationState using this id.

  See Also:
    `AbstractValidator#validate(ValidationEvent, ValidationState, org.eclipse.core.runtime.IProgressMonitor)`

Constructor Detail

### ValidationState

    public ValidationState()

Method Detail

### put

    public void put(java.lang.String id,
                    java.lang.Object value)

  Save some state information.

  Parameters:
    `id` - By convention this is the fully qualified validator extension id. For example: org.eclipse.wst.html.ui.HTMLValidator
    `value` - Any arbitrary data that the validator might find useful. The validation framework doesn't do anything with this object except pass it along during the validation process.

### get

    public java.lang.Object get(java.lang.String id)

  Answer the state data for the given validator.

  Parameters:
    `id` - By convention this is the fully qualified validator extension point id. For example org.eclipse.wst.html.ui.HTMLValidator
  Returns:
    any arbitrary data that the validator might find useful, including null.